Update a guardrail

Update an existing guardrail. Management key required.

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the guardrail to update

Request

This endpoint expects an object.
namestringOptional1-200 characters
New name for the guardrail
descriptionstring or nullOptional<=1000 characters
New description for the guardrail
limit_usddoubleOptional
New spending limit in USD
reset_intervalobjectOptional
allowed_providerslist of strings or nullOptional
New list of allowed provider IDs
ignored_providerslist of strings or nullOptional
List of provider IDs to exclude from routing
allowed_modelslist of strings or nullOptional

Array of model identifiers (slug or canonical_slug accepted)

enforce_zdrboolean or nullOptional
Whether to enforce zero data retention

Response

Guardrail updated successfully
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error